[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# FSplit

Split filename into path, name and extension

## Declaration

Source position: oldlinux.pp line 1582

`procedure FSplit(`
`const Path: PathStr;`
`var Dir: DirStr;`
`var Name: NameStr;`
`var Ext: ExtStr`
`);`

## Description

FSplit splits a full file name into 3 parts : A Path, a Name and an extension (in ext). The extension is taken to be all letters after the last dot (.).

## Errors

None.

## See also

FSearch |  | Search for file in search path.

## Example

    Program Example67;

    uses oldlinux;

    { Program to demonstrate the FSplit function. }

    var
      Path,Name,Ext : string;

    begin
      FSplit(ParamStr(1),Path,Name,Ext);
      WriteLn('Split ',ParamStr(1),' in:');
      WriteLn('Path     : ',Path);
      WriteLn('Name     : ',Name);
      WriteLn('Extension: ',Ext);
    end.

Documentation generated on: Feb 26 2014